summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-misc/lucidlife/lucidlife-0.9.2.ebuild')
-rw-r--r--games-misc/lucidlife/lucidlife-0.9.2.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/games-misc/lucidlife/lucidlife-0.9.2.ebuild b/games-misc/lucidlife/lucidlife-0.9.2.ebuild
new file mode 100644
index 00000000000..8c92724bc16
--- /dev/null
+++ b/games-misc/lucidlife/lucidlife-0.9.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils games
+
+DESCRIPTION="A Conway's Life simulator written in GTK+2 - fork from Gtklife"
+HOMEPAGE="http://gtk-apps.org/content/show.php/LucidLife?content=130867"
+SRC_URI="mirror://gentoo/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="x11-libs/gtk+:2"
+DEPEND="${DEPEND}
+ dev-util/intltool
+ virtual/pkgconfig
+ sys-devel/gettext"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-gnome-vfs.patch \
+ "${FILESDIR}"/${P}-underlink.patch
+ eautoreconf
+ intltoolize --force --copy --automake || die
+}
+
+src_install() {
+ emake install \
+ desktopdir=/usr/share/applications \
+ pixmapdir=/usr/share/pixmaps \
+ DESTDIR="${D}"
+
+ prepgamesdirs
+
+ dodoc AUTHORS ChangeLog NEWS README TODO
+}